### Function

# Gtk PrinterFunc

since: 4.0

#### Declaration

    gboolean
    (* GtkPrinterFunc) (
      GtkPrinter* printer,
      gpointer data
    )

#### Description [src]

The type of function passed to gtk_enumerate_printers().

Note that you need to ref `printer`, if you want to keep a reference to it after the function has returned.

Available since: 4.0

#### Parameters

`printer`

  Type: `GtkPrinter`

  A `GtkPrinter`

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to `gtk_enumerate_printers()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop the enumeration, `FALSE` to continue.